#!/bin/bash
for year in 2004 2005 2006 2007 2008 2009 ; do
  for month in 01 02 03 04 05 06 07 08 09 10 11 12 ; do
    echo Getting $year $month ;
    rm -f index.html
    wget -q http://gcc.gnu.org/ml/gcc-testresults/${year}-${month}/index.html
    if [ $? -eq 0 ]; then
      cat index.html | ./strip_html.pl | grep ^Results > ${year}${month}.results ;
    fi
  done ;
done

